require "json"
require "./message.cr"

module Telepathy
    class Chat
        JSON.mapping(
            id: Int64,
            type: String,
            title: String?,
            username: String?,
            first_name: String?,
            last_name: String?,
            all_members_are_administrators: Bool?,
            # TODO photo
            description: String?,
            invite_link: String?,
            pinned_message: Message?,
            sticker_set_name: String?,
            can_set_sticker_set: Bool?
        )
    end
end
